unit uIDataModulePedidosProveedorReport;

interface

uses
  uROTypes, uIntegerListUtils;

type
  IDataModulePedidosProveedorReport = interface
  ['{F2FFF4EA-B43D-4AAB-8A76-35A322B61A80}']
    function GetReport(const ListaID: TIntegerList;
      const ImprimirPrecio: Boolean = True;
      const ImprimirRefProveedor: Boolean = True): Binary;
    function GetRptWordPedido(const AID: Integer;
      const ImprimirPrecio: Boolean = True;
      const ImprimirRefProveedor: Boolean = True): Binary;
    function GetRptPDFPedido(const AID: Integer;
      const ImprimirPrecio: Boolean = True;
      const ImprimirRefProveedor: Boolean = True): Binary;
  end;

implementation

end.
